> For the complete documentation index, see [llms.txt](https://docs.subtopia.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.subtopia.io/readme.md).

# Overview

Welcome to Subscription Management on Algorand

Welcome to the Subtopia documentation. Subtopia is a decentralized platform that allows you to create and manage flexible on-chain subscriptions for your users. Built on the Algorand blockchain, Subtopia provides an easy-to-use and secure solution for integrating subscription payment processing and management into your app.

### Features Overview

#### Utility as a Service

Subtopia enables you to create a subscription service in minutes with flexible configuration options. Customize your subscription service to your needs, whether you want time-based or unlimited subscription plans.

#### Easy Integration

Integrate Subtopia into your website using a JavaScript SDK or HTML. Advanced users can leverage the ABI interface to interact with Subtopia from their own smart contracts for quick subscription membership lookups.

#### Decentralized

Subtopia operates entirely on the Algorand blockchain, ensuring cheap and fast transactions while securely persisting your data on a public ledger.

### Glossary

Throughout this document you will see the following terms, here is the glossary explaining the definitions and abbreviations:

* **Subscribers**: Users who subscribe to a dApp
* **Creators**: Users who create dApps
* **Product**: Subscription Management Infrastructure (also referred to as "Product")
* **Registry**: Subscription Management Registry (also referred to as "Registry")
* **Locker**: Subscription Management Locker (also referred to as "Locker")
* **Discount**: An on-chain object that represents the discount to apply on subscriptions when users are purchasing them via your Product instance
* **Subscription Pass:** An on-chain object that represents purchases **Product** subscription

### Platform portals

#### Creator Portal&#x20;

A portal accessible within the platform that aims to provide a convenient experience for Developers, Projects or Businesses to deploy their decentralized subscription management infrastructures. Currently is the most extensive operational mode offered by the platform.&#x20;

#### User Portal&#x20;

A portal accesible within the platform that aims to provide a convenient experience for Users of products that use Subtopia for their subscription infrastructure management. To be significantly expanded in future. Currently offers a central entry view to quickly choose and manage existing subscriptions. &#x20;

### Additional Resources

* [Subtopia Website](http://subtopia.io/)
* [Subtopia SDK](https://sdk.subtopia.io/)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.subtopia.io/readme.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
